Loading...
Searching...
No Matches
gx_engine::GxMachine Class Reference

`#include <machine.h>`

Inheritance diagram for gx_engine::GxMachine:

## Public Member Functions

| GxMachine (gx_system::CmdlineOptions &options)
virtual | ~GxMachine ()
virtual void | set_state (GxEngineState state)
virtual GxEngineState | get_state ()
virtual void | load_ladspalist (std::vector< std::string > &old_not_found, ladspa::LadspaPluginList &pluginlist)
virtual void | save_ladspalist (ladspa::LadspaPluginList &pluginlist)
virtual void | commit_ladspa_changes ()
virtual sigc::signal< void, Plugin *, PluginChange::pc > & | signal_plugin_changed ()
virtual Plugin * | pluginlist_lookup_plugin (const std::string &id) const
virtual bool | load_unit (gx_gui::UiBuilderImpl &builder, PluginDef *pdef)
virtual void | pluginlist_append_rack (UiBuilderBase &ui)
virtual float | get_tuner_freq ()
virtual float | get_tuner_note ()
virtual void | set_oscilloscope_mul_buffer (int a)
virtual int | get_oscilloscope_mul_buffer ()
virtual gx_system::CmdlineOptions & | get_options () const
virtual void | start_socket (sigc::slot< void > quit_mainloop, const Glib::ustring &host, int port)
virtual void | stop_socket ()
virtual sigc::signal< void, GxEngineState > & | signal_state_change ()
virtual void | tuner_used_for_display (bool on)
virtual void | tuner_used_by_midi (bool on)
virtual void | tuner_switch (bool on)
virtual const std::vector< std::string > & | get_rack_unit_order (PluginType type)
virtual const std::vector< Glib::ustring > & | get_file_list (const std::string &id)
virtual sigc::signal< void, bool > & | signal_rack_unit_order_changed ()
virtual void | remove_rack_unit (const std::string &unit, PluginType type)
virtual void | insert_rack_unit (const std::string &unit, const std::string &before, PluginType type)
virtual bool | get_tuner_switcher_active ()
virtual void | tuner_switcher_activate (bool v)
virtual void | tuner_switcher_deactivate ()
virtual void | tuner_switcher_toggle (bool v)
virtual sigc::signal< void, const Glib::ustring &, const Glib::ustring & > & | tuner_switcher_signal_display ()
virtual sigc::signal< void, TunerSwitcher::SwitcherState > & | tuner_switcher_signal_set_state ()
virtual sigc::signal< void, bool > & | tuner_switcher_signal_selection_done ()
virtual bool | setting_is_preset ()
virtual const Glib::ustring & | get_current_bank ()
virtual gx_system::PresetFileGui * | get_current_bank_file ()
virtual const Glib::ustring & | get_current_name ()
virtual gx_system::PresetFileGui * | get_bank_file (const Glib::ustring &bank) const
virtual Glib::ustring | get_bank_name (int n)
virtual void | load_preset (gx_system::PresetFileGui *pf, const Glib::ustring &name)
virtual bool | msend_midi_cc (int cc, int pgn, int bgn, int num)
virtual void | loadstate ()
virtual int | bank_size ()
virtual int | get_bank_index (const Glib::ustring &bank)
virtual void | create_default_scratch_preset ()
virtual void | set_statefilename (const std::string &fn)
virtual void | save_to_state (bool preserve_preset=false)
virtual void | plugin_preset_list_load (const PluginDef *pdef, gx_preset::UnitPresetList &presetnames)
virtual void | plugin_preset_list_set (const PluginDef *pdef, bool factory, const Glib::ustring &name)
virtual void | plugin_preset_list_sync_set (const PluginDef *pdef, bool factory, const Glib::ustring &name)
virtual void | plugin_preset_list_set_on_idle (const PluginDef *pdef, bool factory, const Glib::ustring &name)
virtual void | plugin_preset_list_save (const PluginDef *pdef, const Glib::ustring &name)
virtual void | plugin_preset_list_remove (const PluginDef *pdef, const Glib::ustring &name)
virtual void | disable_autosave (bool v)
virtual void | disable_save_on_exit (bool v)
virtual sigc::signal< void > & | signal_selection_changed ()
virtual sigc::signal< void > & | signal_presetlist_changed ()
virtual gx_system::PresetFileGui * | bank_insert_uri (const Glib::ustring &uri, bool move, int position)
virtual gx_system::PresetFileGui * | bank_insert_new (const Glib::ustring &newname)
virtual bool | rename_bank (const Glib::ustring &oldname, Glib::ustring &newname)
virtual bool | rename_preset (gx_system::PresetFileGui &pf, const Glib::ustring &oldname, const Glib::ustring &newname)
virtual void | bank_reorder (const std::vector< Glib::ustring > &neworder)
virtual void | reorder_preset (gx_system::PresetFileGui &pf, const std::vector< Glib::ustring > &neworder)
virtual bool | bank_check_reparse ()
virtual void | erase_preset (gx_system::PresetFileGui &pf, const Glib::ustring &name)
virtual void | bank_set_flag (gx_system::PresetFileGui *pf, int flag, bool v)
virtual std::string | bank_get_filename (const Glib::ustring &bank)
virtual void | bank_drag_begin ()
virtual gx_system::PresetFileGui * | bank_get_file (const Glib::ustring &bank) const
virtual bank_iterator | bank_begin ()
virtual bank_iterator | bank_end ()
virtual void | pf_append (gx_system::PresetFileGui &pf, const Glib::ustring &src, gx_system::PresetFileGui &pftgt, const Glib::ustring &name)
virtual void | pf_insert_before (gx_system::PresetFileGui &pf, const Glib::ustring &src, gx_system::PresetFileGui &pftgt, const Glib::ustring &pos, const Glib::ustring &name)
virtual void | pf_insert_after (gx_system::PresetFileGui &pf, const Glib::ustring &src, gx_system::PresetFileGui &pftgt, const Glib::ustring &pos, const Glib::ustring &name)
virtual bool | convert_preset (gx_system::PresetFileGui &pf)
virtual bool | bank_remove (const Glib::ustring &bank)
virtual void | bank_save ()
virtual void | pf_save (gx_system::PresetFileGui &pf, const Glib::ustring &name)
virtual void | next_preset_switch ()
virtual void | previus_preset_switch ()
virtual void | process_next_preset_switch (bool s)
virtual void | process_previus_preset_switch (bool s)
virtual gx_jack::GxJack * | get_jack ()
virtual void | set_jack_insert (bool v)
virtual Parameter & | get_parameter (const char *p)
virtual Parameter & | get_parameter (const std::string &id)
virtual void | insert_param (Glib::ustring group, Glib::ustring name)
virtual void | set_init_values ()
virtual bool | parameter_hasId (const char *p)
virtual bool | parameter_hasId (const std::string &id)
virtual void | reset_unit (const PluginDef *pdef) const
virtual bool | parameter_unit_has_std_values (const PluginDef *pdef) const
virtual void | set_parameter_value (const std::string &id, int value)
virtual void | set_parameter_value (const std::string &id, bool value)
virtual void | set_parameter_value (const std::string &id, float value)
virtual void | set_parameter_value (const std::string &id, const std::string &value)
virtual bool | midi_get_config_mode (int *ctl=0)
virtual void | midi_set_config_mode (bool v, int ctl=-1)
virtual sigc::signal< void > & | signal_midi_changed ()
virtual sigc::signal< void, int, int > & | signal_midi_value_changed ()
virtual void | request_midi_value_update ()
virtual int | midi_size ()
virtual midi_controller_list & | midi_get (int n)
virtual void | midi_deleteParameter (Parameter &param)
virtual void | midi_set_current_control (int v)
virtual void | midi_modifyCurrent (Parameter &param, float lower, float upper, bool toggle, int toggle_behaviour)
virtual int | midi_param2controller (Parameter &param, const MidiController **p)
virtual void | set_midi_channel (int s)
virtual void | midi_feedback (int c, int v)
virtual bool | get_midi_feedback ()
virtual void | set_midi_feedback (int v)
virtual void | on_tuner_freq_changed ()
virtual void | reload_impresp_list (const std::string &path)
virtual void | load_impresp_dirs (std::vector< gx_system::FileName > &dirs)
virtual bool | read_audio (const std::string &filename, unsigned int *audio_size, int *audio_chan, int *audio_type, int *audio_form, int *audio_rate, float **buffer)
Public Member Functions inherited from gx_engine::GxMachineBase
virtual | ~GxMachineBase ()
void | set_update_parameter (void *control, const string &id, bool on=true)
void | set_parameter_value (const std::string &id, double value)
template<class T>
T | get_parameter_value (const std::string &id)
template<class T>
sigc::signal< void, T > & | signal_parameter_value (const std::string &id)
sigc::signal< void, const std::string &, std::vector< gx_system::FileName > > & | signal_impresp_list ()
template<>
float | get_parameter_value (const std::string &id)
template<>
int | get_parameter_value (const std::string &id)
template<>
bool | get_parameter_value (const std::string &id)
template<>
std::string | get_parameter_value (const std::string &id)
template<>
sigc::signal< void, float > & | signal_parameter_value (const std::string &id)
template<>
sigc::signal< void, int > & | signal_parameter_value (const std::string &id)
template<>
sigc::signal< void, bool > & | signal_parameter_value (const std::string &id)

## Private Member Functions

void | reset_switch_bank ()
void | set_mute_state (int mute)
void | do_program_change (int pgm)
void | do_bank_change (int pgm)
void | edge_toggle_tuner (bool v)
void | on_impresp (const std::string &path)
void | exit_handler (bool otherthread)
void | process_cmdline_bank_preset ()
virtual int | _get_parameter_value_int (const std::string &id)
virtual int | _get_parameter_value_bool (const std::string &id)
virtual float | _get_parameter_value_float (const std::string &id)
virtual std::string | _get_parameter_value_string (const std::string &id)
virtual sigc::signal< void, int > & | _signal_parameter_value_int (const std::string &id)
virtual sigc::signal< void, bool > & | _signal_parameter_value_bool (const std::string &id)
virtual sigc::signal< void, float > & | _signal_parameter_value_float (const std::string &id)
virtual bool | update_parameter ()

## Private Attributes

gx_system::CmdlineOptions & | options
GxEngine | engine
gx_jack::GxJack | jack
gx_preset::GxSettings | settings
TunerSwitcher | tuner_switcher
GxService * | sock
ParamMap & | pmap
Glib::ustring | switch_bank

## Additional Inherited Members

Protected Member Functions inherited from gx_engine::GxMachineBase
| GxMachineBase ()
Protected Attributes inherited from gx_engine::GxMachineBase
sigc::signal< void, const std::string &, std::vector< gx_system::FileName > > | impresp_list
output_listen_map | update_map

## Detailed Description

Definition at line 239 of file machine.h.

## Constructor & Destructor Documentation

## GxMachine()

gx_engine::GxMachine::GxMachine | ( | gx_system::CmdlineOptions & | options | ) |

## ~GxMachine()

virtual gx_engine::GxMachine::~GxMachine | ( |  | ) |

virtual

## Member Function Documentation

## _get_parameter_value_bool()

virtual int gx_engine::GxMachine::_get_parameter_value_bool | ( | const std::string & | id | ) |

private virtual

Implements gx_engine::GxMachineBase.

## _get_parameter_value_float()

virtual float gx_engine::GxMachine::_get_parameter_value_float | ( | const std::string & | id | ) |

private virtual

Implements gx_engine::GxMachineBase.

## _get_parameter_value_int()

virtual int gx_engine::GxMachine::_get_parameter_value_int | ( | const std::string & | id | ) |

private virtual

Implements gx_engine::GxMachineBase.

## _get_parameter_value_string()

virtual std::string gx_engine::GxMachine::_get_parameter_value_string | ( | const std::string & | id | ) |

private virtual

Implements gx_engine::GxMachineBase.

## _signal_parameter_value_bool()

virtual sigc::signal< void, bool > & gx_engine::GxMachine::_signal_parameter_value_bool | ( | const std::string & | id | ) |

private virtual

Implements gx_engine::GxMachineBase.

## _signal_parameter_value_float()

virtual sigc::signal< void, float > & gx_engine::GxMachine::_signal_parameter_value_float | ( | const std::string & | id | ) |

private virtual

Implements gx_engine::GxMachineBase.

## _signal_parameter_value_int()

virtual sigc::signal< void, int > & gx_engine::GxMachine::_signal_parameter_value_int | ( | const std::string & | id | ) |

private virtual

Implements gx_engine::GxMachineBase.

## bank_begin()

virtual bank_iterator gx_engine::GxMachine::bank_begin | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_check_reparse()

virtual bool gx_engine::GxMachine::bank_check_reparse | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_drag_begin()

virtual void gx_engine::GxMachine::bank_drag_begin | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_end()

virtual bank_iterator gx_engine::GxMachine::bank_end | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_get_file()

virtual gx_system::PresetFileGui * gx_engine::GxMachine::bank_get_file | ( | const Glib::ustring & | bank | ) | const

virtual

Implements gx_engine::GxMachineBase.

## bank_get_filename()

virtual std::string gx_engine::GxMachine::bank_get_filename | ( | const Glib::ustring & | bank | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_insert_new()

virtual gx_system::PresetFileGui * gx_engine::GxMachine::bank_insert_new | ( | const Glib::ustring & | newname | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_insert_uri()

virtual gx_system::PresetFileGui * gx_engine::GxMachine::bank_insert_uri | ( | const Glib::ustring & | uri,
|  | bool | move,
|  | int | position )

virtual

Implements gx_engine::GxMachineBase.

## bank_remove()

virtual bool gx_engine::GxMachine::bank_remove | ( | const Glib::ustring & | bank | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_reorder()

virtual void gx_engine::GxMachine::bank_reorder | ( | const std::vector< Glib::ustring > & | neworder | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_save()

virtual void gx_engine::GxMachine::bank_save | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## bank_set_flag()

virtual void gx_engine::GxMachine::bank_set_flag | ( | gx_system::PresetFileGui * | pf,
|  | int | flag,
|  | bool | v )

virtual

Implements gx_engine::GxMachineBase.

## bank_size()

virtual int gx_engine::GxMachine::bank_size | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## commit_ladspa_changes()

virtual void gx_engine::GxMachine::commit_ladspa_changes | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## convert_preset()

virtual bool gx_engine::GxMachine::convert_preset | ( | gx_system::PresetFileGui & | pf | ) |

virtual

Implements gx_engine::GxMachineBase.

## create_default_scratch_preset()

virtual void gx_engine::GxMachine::create_default_scratch_preset | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## disable_autosave()

virtual void gx_engine::GxMachine::disable_autosave | ( | bool | v | ) |

virtual

Implements gx_engine::GxMachineBase.

## disable_save_on_exit()

virtual void gx_engine::GxMachine::disable_save_on_exit | ( | bool | v | ) |

virtual

Implements gx_engine::GxMachineBase.

## do_bank_change()

void gx_engine::GxMachine::do_bank_change | ( | int | pgm | ) |

private

## do_program_change()

void gx_engine::GxMachine::do_program_change | ( | int | pgm | ) |

private

## edge_toggle_tuner()

void gx_engine::GxMachine::edge_toggle_tuner | ( | bool | v | ) |

private

## erase_preset()

virtual void gx_engine::GxMachine::erase_preset | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## exit_handler()

void gx_engine::GxMachine::exit_handler | ( | bool | otherthread | ) |

private

## get_bank_file()

virtual gx_system::PresetFileGui * gx_engine::GxMachine::get_bank_file | ( | const Glib::ustring & | bank | ) | const

virtual

Implements gx_engine::GxMachineBase.

## get_bank_index()

virtual int gx_engine::GxMachine::get_bank_index | ( | const Glib::ustring & | bank | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_bank_name()

virtual Glib::ustring gx_engine::GxMachine::get_bank_name | ( | int | n | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_current_bank()

virtual const Glib::ustring & gx_engine::GxMachine::get_current_bank | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_current_bank_file()

virtual gx_system::PresetFileGui * gx_engine::GxMachine::get_current_bank_file | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_current_name()

virtual const Glib::ustring & gx_engine::GxMachine::get_current_name | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_file_list()

virtual const std::vector< Glib::ustring > & gx_engine::GxMachine::get_file_list | ( | const std::string & | id | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_jack()

virtual gx_jack::GxJack * gx_engine::GxMachine::get_jack | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_midi_feedback()

virtual bool gx_engine::GxMachine::get_midi_feedback | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_options()

virtual gx_system::CmdlineOptions & gx_engine::GxMachine::get_options | ( |  | ) | const

virtual

Implements gx_engine::GxMachineBase.

## get_oscilloscope_mul_buffer()

virtual int gx_engine::GxMachine::get_oscilloscope_mul_buffer | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_parameter() [1/2]

virtual Parameter & gx_engine::GxMachine::get_parameter | ( | const char * | p | ) |

virtual

## get_parameter() [2/2]

virtual Parameter & gx_engine::GxMachine::get_parameter | ( | const std::string & | id | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_rack_unit_order()

virtual const std::vector< std::string > & gx_engine::GxMachine::get_rack_unit_order | ( | PluginType | type | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_state()

virtual GxEngineState gx_engine::GxMachine::get_state | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_tuner_freq()

virtual float gx_engine::GxMachine::get_tuner_freq | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_tuner_note()

virtual float gx_engine::GxMachine::get_tuner_note | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## get_tuner_switcher_active()

virtual bool gx_engine::GxMachine::get_tuner_switcher_active | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## insert_param()

virtual void gx_engine::GxMachine::insert_param | ( | Glib::ustring | group,
|  | Glib::ustring | name )

virtual

Implements gx_engine::GxMachineBase.

## insert_rack_unit()

virtual void gx_engine::GxMachine::insert_rack_unit | ( | const std::string & | unit,
|  | const std::string & | before,
|  | PluginType | type )

virtual

Implements gx_engine::GxMachineBase.

## load_impresp_dirs()

virtual void gx_engine::GxMachine::load_impresp_dirs | ( | std::vector< gx_system::FileName > & | dirs | ) |

virtual

Implements gx_engine::GxMachineBase.

## load_ladspalist()

virtual void gx_engine::GxMachine::load_ladspalist | ( | std::vector< std::string > & | old_not_found,
|  | ladspa::LadspaPluginList & | pluginlist )

virtual

Implements gx_engine::GxMachineBase.

## load_preset()

virtual void gx_engine::GxMachine::load_preset | ( | gx_system::PresetFileGui * | pf,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## load_unit()

virtual bool gx_engine::GxMachine::load_unit | ( | gx_gui::UiBuilderImpl & | builder,
|  | PluginDef * | pdef )

virtual

Implements gx_engine::GxMachineBase.

## loadstate()

virtual void gx_engine::GxMachine::loadstate | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## midi_deleteParameter()

virtual void gx_engine::GxMachine::midi_deleteParameter | ( | Parameter & | param | ) |

virtual

Implements gx_engine::GxMachineBase.

## midi_feedback()

virtual void gx_engine::GxMachine::midi_feedback | ( | int | c,
|  | int | v )

virtual

Implements gx_engine::GxMachineBase.

## midi_get()

virtual midi_controller_list & gx_engine::GxMachine::midi_get | ( | int | n | ) |

virtual

Implements gx_engine::GxMachineBase.

## midi_get_config_mode()

virtual bool gx_engine::GxMachine::midi_get_config_mode | ( | int * | ctl = 0 | ) |

virtual

Implements gx_engine::GxMachineBase.

## midi_modifyCurrent()

virtual void gx_engine::GxMachine::midi_modifyCurrent | ( | Parameter & | param,
|  | float | lower,
|  | float | upper,
|  | bool | toggle,
|  | int | toggle_behaviour )

virtual

Implements gx_engine::GxMachineBase.

## midi_param2controller()

virtual int gx_engine::GxMachine::midi_param2controller | ( | Parameter & | param,
|  | const MidiController ** | p )

virtual

Implements gx_engine::GxMachineBase.

## midi_set_config_mode()

virtual void gx_engine::GxMachine::midi_set_config_mode | ( | bool | v,
|  | int | ctl = -1 )

virtual

Implements gx_engine::GxMachineBase.

## midi_set_current_control()

virtual void gx_engine::GxMachine::midi_set_current_control | ( | int | v | ) |

virtual

Implements gx_engine::GxMachineBase.

## midi_size()

virtual int gx_engine::GxMachine::midi_size | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## msend_midi_cc()

virtual bool gx_engine::GxMachine::msend_midi_cc | ( | int | cc,
|  | int | pgn,
|  | int | bgn,
|  | int | num )

virtual

Implements gx_engine::GxMachineBase.

## next_preset_switch()

virtual void gx_engine::GxMachine::next_preset_switch | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## on_impresp()

void gx_engine::GxMachine::on_impresp | ( | const std::string & | path | ) |

private

## on_tuner_freq_changed()

virtual void gx_engine::GxMachine::on_tuner_freq_changed | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## parameter_hasId() [1/2]

virtual bool gx_engine::GxMachine::parameter_hasId | ( | const char * | p | ) |

virtual

Implements gx_engine::GxMachineBase.

## parameter_hasId() [2/2]

virtual bool gx_engine::GxMachine::parameter_hasId | ( | const std::string & | id | ) |

virtual

Implements gx_engine::GxMachineBase.

## parameter_unit_has_std_values()

virtual bool gx_engine::GxMachine::parameter_unit_has_std_values | ( | const PluginDef * | pdef | ) | const

virtual

Implements gx_engine::GxMachineBase.

## pf_append()

virtual void gx_engine::GxMachine::pf_append | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | src,
|  | gx_system::PresetFileGui & | pftgt,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## pf_insert_after()

virtual void gx_engine::GxMachine::pf_insert_after | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | src,
|  | gx_system::PresetFileGui & | pftgt,
|  | const Glib::ustring & | pos,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## pf_insert_before()

virtual void gx_engine::GxMachine::pf_insert_before | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | src,
|  | gx_system::PresetFileGui & | pftgt,
|  | const Glib::ustring & | pos,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## pf_save()

virtual void gx_engine::GxMachine::pf_save | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## plugin_preset_list_load()

virtual void gx_engine::GxMachine::plugin_preset_list_load | ( | const PluginDef * | pdef,
|  | gx_preset::UnitPresetList & | presetnames )

virtual

Implements gx_engine::GxMachineBase.

## plugin_preset_list_remove()

virtual void gx_engine::GxMachine::plugin_preset_list_remove | ( | const PluginDef * | pdef,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## plugin_preset_list_save()

virtual void gx_engine::GxMachine::plugin_preset_list_save | ( | const PluginDef * | pdef,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## plugin_preset_list_set()

virtual void gx_engine::GxMachine::plugin_preset_list_set | ( | const PluginDef * | pdef,
|  | bool | factory,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## plugin_preset_list_set_on_idle()

virtual void gx_engine::GxMachine::plugin_preset_list_set_on_idle | ( | const PluginDef * | pdef,
|  | bool | factory,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## plugin_preset_list_sync_set()

virtual void gx_engine::GxMachine::plugin_preset_list_sync_set | ( | const PluginDef * | pdef,
|  | bool | factory,
|  | const Glib::ustring & | name )

virtual

Implements gx_engine::GxMachineBase.

## pluginlist_append_rack()

virtual void gx_engine::GxMachine::pluginlist_append_rack | ( | UiBuilderBase & | ui | ) |

virtual

Implements gx_engine::GxMachineBase.

## pluginlist_lookup_plugin()

virtual Plugin * gx_engine::GxMachine::pluginlist_lookup_plugin | ( | const std::string & | id | ) | const

virtual

Implements gx_engine::GxMachineBase.

## previus_preset_switch()

virtual void gx_engine::GxMachine::previus_preset_switch | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## process_cmdline_bank_preset()

void gx_engine::GxMachine::process_cmdline_bank_preset | ( |  | ) |

private

## process_next_preset_switch()

virtual void gx_engine::GxMachine::process_next_preset_switch | ( | bool | s | ) |

virtual

Implements gx_engine::GxMachineBase.

## process_previus_preset_switch()

virtual void gx_engine::GxMachine::process_previus_preset_switch | ( | bool | s | ) |

virtual

Implements gx_engine::GxMachineBase.

## read_audio()

virtual bool gx_engine::GxMachine::read_audio | ( | const std::string & | filename,
|  | unsigned int * | audio_size,
|  | int * | audio_chan,
|  | int * | audio_type,
|  | int * | audio_form,
|  | int * | audio_rate,
|  | float ** | buffer )

virtual

Implements gx_engine::GxMachineBase.

## reload_impresp_list()

virtual void gx_engine::GxMachine::reload_impresp_list | ( | const std::string & | path | ) |

virtual

Implements gx_engine::GxMachineBase.

## remove_rack_unit()

virtual void gx_engine::GxMachine::remove_rack_unit | ( | const std::string & | unit,
|  | PluginType | type )

virtual

Implements gx_engine::GxMachineBase.

## rename_bank()

virtual bool gx_engine::GxMachine::rename_bank | ( | const Glib::ustring & | oldname,
|  | Glib::ustring & | newname )

virtual

Implements gx_engine::GxMachineBase.

## rename_preset()

virtual bool gx_engine::GxMachine::rename_preset | ( | gx_system::PresetFileGui & | pf,
|  | const Glib::ustring & | oldname,
|  | const Glib::ustring & | newname )

virtual

Implements gx_engine::GxMachineBase.

## reorder_preset()

virtual void gx_engine::GxMachine::reorder_preset | ( | gx_system::PresetFileGui & | pf,
|  | const std::vector< Glib::ustring > & | neworder )

virtual

Implements gx_engine::GxMachineBase.

## request_midi_value_update()

virtual void gx_engine::GxMachine::request_midi_value_update | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## reset_switch_bank()

void gx_engine::GxMachine::reset_switch_bank | ( |  | ) |

private

## reset_unit()

virtual void gx_engine::GxMachine::reset_unit | ( | const PluginDef * | pdef | ) | const

virtual

Implements gx_engine::GxMachineBase.

## save_ladspalist()

virtual void gx_engine::GxMachine::save_ladspalist | ( | ladspa::LadspaPluginList & | pluginlist | ) |

virtual

Implements gx_engine::GxMachineBase.

## save_to_state()

virtual void gx_engine::GxMachine::save_to_state | ( | bool | preserve_preset = false | ) |

virtual

Implements gx_engine::GxMachineBase.

## set_init_values()

virtual void gx_engine::GxMachine::set_init_values | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## set_jack_insert()

virtual void gx_engine::GxMachine::set_jack_insert | ( | bool | v | ) |

virtual

Implements gx_engine::GxMachineBase.

## set_midi_channel()

virtual void gx_engine::GxMachine::set_midi_channel | ( | int | s | ) |

virtual

Implements gx_engine::GxMachineBase.

## set_midi_feedback()

virtual void gx_engine::GxMachine::set_midi_feedback | ( | int | v | ) |

virtual

Implements gx_engine::GxMachineBase.

## set_mute_state()

void gx_engine::GxMachine::set_mute_state | ( | int | mute | ) |

private

## set_oscilloscope_mul_buffer()

virtual void gx_engine::GxMachine::set_oscilloscope_mul_buffer | ( | int | a | ) |

virtual

Implements gx_engine::GxMachineBase.

## set_parameter_value() [1/4]

virtual void gx_engine::GxMachine::set_parameter_value | ( | const std::string & | id,
|  | bool | value )

virtual

Implements gx_engine::GxMachineBase.

## set_parameter_value() [2/4]

virtual void gx_engine::GxMachine::set_parameter_value | ( | const std::string & | id,
|  | const std::string & | value )

virtual

Implements gx_engine::GxMachineBase.

## set_parameter_value() [3/4]

virtual void gx_engine::GxMachine::set_parameter_value | ( | const std::string & | id,
|  | float | value )

virtual

Implements gx_engine::GxMachineBase.

## set_parameter_value() [4/4]

virtual void gx_engine::GxMachine::set_parameter_value | ( | const std::string & | id,
|  | int | value )

virtual

Implements gx_engine::GxMachineBase.

## set_state()

virtual void gx_engine::GxMachine::set_state | ( | GxEngineState | state | ) |

virtual

Implements gx_engine::GxMachineBase.

## set_statefilename()

virtual void gx_engine::GxMachine::set_statefilename | ( | const std::string & | fn | ) |

virtual

Implements gx_engine::GxMachineBase.

## setting_is_preset()

virtual bool gx_engine::GxMachine::setting_is_preset | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## signal_midi_changed()

virtual sigc::signal< void > & gx_engine::GxMachine::signal_midi_changed | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## signal_midi_value_changed()

virtual sigc::signal< void, int, int > & gx_engine::GxMachine::signal_midi_value_changed | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## signal_plugin_changed()

virtual sigc::signal< void, Plugin *, PluginChange::pc > & gx_engine::GxMachine::signal_plugin_changed | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## signal_presetlist_changed()

virtual sigc::signal< void > & gx_engine::GxMachine::signal_presetlist_changed | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## signal_rack_unit_order_changed()

virtual sigc::signal< void, bool > & gx_engine::GxMachine::signal_rack_unit_order_changed | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## signal_selection_changed()

virtual sigc::signal< void > & gx_engine::GxMachine::signal_selection_changed | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## signal_state_change()

virtual sigc::signal< void, GxEngineState > & gx_engine::GxMachine::signal_state_change | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## start_socket()

virtual void gx_engine::GxMachine::start_socket | ( | sigc::slot< void > | quit_mainloop,
|  | const Glib::ustring & | host,
|  | int | port )

virtual

Implements gx_engine::GxMachineBase.

## stop_socket()

virtual void gx_engine::GxMachine::stop_socket | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_switch()

virtual void gx_engine::GxMachine::tuner_switch | ( | bool | on | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_switcher_activate()

virtual void gx_engine::GxMachine::tuner_switcher_activate | ( | bool | v | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_switcher_deactivate()

virtual void gx_engine::GxMachine::tuner_switcher_deactivate | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_switcher_signal_display()

virtual sigc::signal< void, const Glib::ustring &, const Glib::ustring & > & gx_engine::GxMachine::tuner_switcher_signal_display | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_switcher_signal_selection_done()

virtual sigc::signal< void, bool > & gx_engine::GxMachine::tuner_switcher_signal_selection_done | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_switcher_signal_set_state()

virtual sigc::signal< void, TunerSwitcher::SwitcherState > & gx_engine::GxMachine::tuner_switcher_signal_set_state | ( |  | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_switcher_toggle()

virtual void gx_engine::GxMachine::tuner_switcher_toggle | ( | bool | v | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_used_by_midi()

virtual void gx_engine::GxMachine::tuner_used_by_midi | ( | bool | on | ) |

virtual

Implements gx_engine::GxMachineBase.

## tuner_used_for_display()

virtual void gx_engine::GxMachine::tuner_used_for_display | ( | bool | on | ) |

virtual

Implements gx_engine::GxMachineBase.

## update_parameter()

virtual bool gx_engine::GxMachine::update_parameter | ( |  | ) |

private virtual

Implements gx_engine::GxMachineBase.

## Member Data Documentation

## engine

GxEngine gx_engine::GxMachine::engine

private

Definition at line 242 of file machine.h.

## jack

gx_jack::GxJack gx_engine::GxMachine::jack

private

Definition at line 243 of file machine.h.

## options

gx_system::CmdlineOptions& gx_engine::GxMachine::options

private

Definition at line 241 of file machine.h.

Referenced by GxMachine().

## pmap

ParamMap& gx_engine::GxMachine::pmap

private

Definition at line 250 of file machine.h.

## settings

gx_preset::GxSettings gx_engine::GxMachine::settings

private

Definition at line 244 of file machine.h.

Referenced by commit_ladspa_changes().

## sock

GxService* gx_engine::GxMachine::sock

private

Definition at line 246 of file machine.h.

## switch_bank

Glib::ustring gx_engine::GxMachine::switch_bank

private

Definition at line 251 of file machine.h.

## tuner_switcher

TunerSwitcher gx_engine::GxMachine::tuner_switcher

private

Definition at line 245 of file machine.h.

The documentation for this class was generated from the following file:

- src/headers/machine.h